<div class="p-grid">
    <div class="p-col-12 p-md-12">
        <form [formGroup]="form">
            <div class="form-group">
                <div class="card">
                    <h5>Identificação</h5>
                    <div class="p-fluid p-formgrid p-grid">
                        <div class="p-field p-col-12 p-md-6" style="padding-left: 1rem;"> 
                            <label>Nome</label>
                            <input id="nome" [(ngModel)]="pessoa.nome" type="text" pinputtext="" formControlName="nome" class="p-inputtext p-component form-control" >

                            <div *ngIf="isValidated('nome')" class="alert-danger">
                                Nome é obrigatório!
                            </div>

                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;">
                            <label>CPF</label>
                            <input id="cpf" [(ngModel)]="pessoa.cpf" type="text" pinputtext="" formControlName="cpf" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('cpf')" class="alert-danger">
                                CPF é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;">
                            <label>RG</label>
                            <input id="rg" [(ngModel)]="pessoa.rg" type="text" pinputtext="" formControlName="rg" class="p-inputtext p-component form-control">
                       
                            <div *ngIf="isValidated('rg')" class="alert-danger">
                                RG é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;">
                            <label>Data de Nascimento</label>
                            <input id="dataNascimento" [(ngModel)]="pessoa.dataNascimento" type="text" pinputtext="" formControlName="dataNascimento" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('dataNascimento')" class="alert-danger">
                                Data de Nascimento é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;">
                            <label>Gênero</label>
                            <input id="genero" [(ngModel)]="pessoa.genero" type="text" pinputtext="" formControlName="genero" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('genero')" class="alert-danger">
                                Gênero é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;">
                            <label>Estado Civil</label>
                            <input id="estadoCivil" [(ngModel)]="pessoa.estadoCivil" type="text" pinputtext="" formControlName="estadoCivil" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('estadoCivil')" class="alert-danger">
                                Estado Civil é obrigatório!
                            </div>
                        
                        </div>       
                    </div>
                </div>
        
                <div class="card">
                    <h5>Localização</h5>
                    <div class="p-fluid p-formgrid p-grid">
                        <div class="p-field p-col-12 p-md-1" style="padding-left: 1rem;"> 
                            <label>CEP</label>
                            <input id="cep" [(ngModel)]="pessoa.cep" type="text" pinputtext="" formControlName="cep" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('cep')" class="alert-danger">
                                CEP é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-1" style="padding-left: 1rem;"> 
                            <label>UF</label>
                            <input id="uf" [(ngModel)]="pessoa.uf" type="text" pinputtext="" formControlName="uf" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('uf')" class="alert-danger">
                                Uf é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;"> 
                            <label>Cidade</label>
                            <input id="cidade" [(ngModel)]="pessoa.cidade" type="text" pinputtext="" formControlName="cidade" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('cidade')" class="alert-danger">
                                Cidade é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;"> 
                            <label>Bairro</label>
                            <input id="bairro" [(ngModel)]="pessoa.bairro" type="text" pinputtext="" formControlName="bairro" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('bairro')" class="alert-danger">
                                Bairro é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-3" style="padding-left: 1rem;"> 
                            <label>Endereço</label>
                            <input id="endereco" [(ngModel)]="pessoa.endereco" type="text" pinputtext="" formControlName="endereco" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('endereco')" class="alert-danger">
                                Endereço é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-1" style="padding-left: 1rem;"> 
                            <label>N°</label>
                            <input id="numero" [(ngModel)]="pessoa.numero" type="text" pinputtext="" formControlName="numero" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('numero')" class="alert-danger">
                                numero é obrigatório!
                            </div>
                        
                        </div>
                        <div class="p-field p-col-12 p-md-2" style="padding-left: 1rem;"> 
                            <label>Complemento</label>
                            <input id="complemento" [(ngModel)]="pessoa.complemento" type="text" pinputtext="" formControlName="complemento" class="p-inputtext p-component form-control">
                        
                            <div *ngIf="isValidated('complemento')" class="alert-danger">
                                Complemento é obrigatório!
                            </div>
                        
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="card" style="text-align: right;">
            <button type="button" (click)=salvar() label="Primary" class="p-button-outlined p-mr-2 p-mb-2 p-ripple p-button p-component">
                <span class="p-button-label">Salvar</span>
                <span class="p-ink" style="height: 74px; width: 74px; top: -15px; left: -15px;"></span>
            </button>
            <button type="button" routerLink="/consultar-pessoas" label="Primary" class="p-button-outlined p-button-danger p-mr-2 p-mb-2 p-ripple p-button p-component">
                <span class="p-button-label">Cancelar</span>
                <span class="p-ink" style="height: 74px; width: 74px; top: -15px; left: -15px;"></span>
            </button>
        </div>
    </div>   
</div>
